View Issue Details

IDProjectCategoryView StatusLast Update
0015658LazarusIDEpublic2011-12-01 11:24
ReporterPhilAssigned ToPaul Ishenin 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWindowsOS VersionXP
Product Version0.9.29 (SVN)Product Build0.9.29-23609-fpc-2.4.0 snapshot 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015658: Building projects deletes .res file
DescriptionAfter installing latest snapshot today, I've discovered that lazbuild won't compile any of my projects anymore on Windows. Worse, it deletes the project's .res file, then complains that it can't find the .res file.

I have this declaration in my .dpr file:

{$IFDEF MSWINDOWS}
{$R *.res}
{$ENDIF}

To reproduce this, try any of the Orpheus projects in its tests subfolder.

It's back to 0.9.28.3 for me. Snapshots just too dangerous.

Thanks.

-Phil


TagsNo tags attached.
Fixed in Revision26499
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-02-03 04:41

manager   ~0034174

Please give a link to any Orpheus projects to test.

Vincent Snijders

2010-03-09 20:50

manager   ~0035104

Paul, see: http://lazarus-ccr.svn.sourceforge.net/viewvc/lazarus-ccr/components/orpheus/tests/

or

http://lazarus-ccr.svn.sourceforge.net/svnroot/lazarus-ccr/components/orpheus/tests/

Paul Ishenin

2010-07-07 14:04

manager   ~0039106

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-02-02 22:14 Phil New Issue
2010-02-02 22:14 Phil Widgetset => Win32/Win64
2010-02-03 04:41 Paul Ishenin LazTarget => -
2010-02-03 04:41 Paul Ishenin Note Added: 0034174
2010-02-03 04:41 Paul Ishenin Status new => feedback
2010-03-09 20:50 Vincent Snijders Note Added: 0035104
2010-03-09 20:54 Vincent Snijders LazTarget - => 0.9.30
2010-03-09 20:54 Vincent Snijders Status feedback => acknowledged
2010-03-09 20:54 Vincent Snijders Target Version => 0.9.30
2010-07-07 14:04 Paul Ishenin Fixed in Revision => 26499
2010-07-07 14:04 Paul Ishenin Status acknowledged => resolved
2010-07-07 14:04 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-07-07 14:04 Paul Ishenin Resolution open => fixed
2010-07-07 14:04 Paul Ishenin Assigned To => Paul Ishenin
2010-07-07 14:04 Paul Ishenin Note Added: 0039106
2011-12-01 11:24 Marc Weustink Status resolved => closed